services:
  core:
    hostname: squiz-core
    container_name: squiz-core
    image: $CI_REGISTRY_IMAGE/core:$CI_COMMIT_REF_SLUG.$CI_PIPELINE_ID
    tty: true
    environment:
      HUB_ADMIN_URL: 'http://10.6.0.11:59303'
      IS_PROD_LOG: 'false'
      IS_PROD: 'false'
      PORT: 1488
      PUBLIC_ACCESS_SECRET_KEY: $JWT_PUBLIC_KEY
      PG_CRED: 'host=10.6.0.23 port=5433 user=squiz password=Redalert2 dbname=squiz sslmode=disable'
      AUTH_URL: 'http://10.6.0.11:59300/user'
    ports: 
      - 1488:1488

